/**
 * @desc Base64 图片上传
 */
import { defHttp } from '/@/utils/http/axios'

export class Params {
    /** Base64 图片信息 */
    base64Image: string
}

export function request(
    params: Params,
    config?: http.RequestConfig<Params>,
    options?: http.RequestOptions,
): Promise<string> {
    return defHttp.request(
        {
            url: '/common/file/uploadBase64Image',
            method: 'POST',
            data: params,

            ...config,
        },
        options,
    )
}
